Skip to content

List bills

Request

Security
oauth2ClientCredentials(Required scopes: bills:read)
Query
statusstring
Enum:"draft""outstanding""paid""cancelled""refunded"
pagenumber
Example:page=1
limitnumber
Example:limit=25
searchstring

Search by invoice, vendor, verifier, or category

fromstring

Start date filter

tostring

End date filter

currencystring

Currency code filter

Example:currency=KES
partially_paidstring

Only return partially paid outstanding bills

Headers
org_wallet_refstring
business_idstringrequired
curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/bills?status=draft&page=1&limit=25&search=string&from=string&to=string&currency=KES&partially_paid=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses